/* variables */
// color
$colorWhite: #fff
$colorDark: #2E2E2E
$colorBlack: #666666
$colorGray: #dedede
$colorLight: #f7f9fc
$colorBorder: #cccccc
$colorRed: #ff0000
$colorGreen: #81CFD2
// font
$mainFont: 'ProximaNova-Regular', sans-serif
$lightFont: 'ProximaNova-Light', sans-serif
$semiFont: 'ProximaNova-Semibold', sans-serif
$boldFont: 'ProximaNova-Bold', sans-serif
// z-index
$zHeader: 2000
$zOverlay: 5000
$zMessage: 5050


// mixin
@mixin wrap()
  &:after
    clear: both
    content: ""
    display: block

@mixin transition()
  transition: all 0.2s ease-in-out

@mixin transition-long()
  transition: all 0.4s ease-in-out

@mixin transition-very-long()
  transition: all 0.9s ease-in-out

@mixin transform()
  transform: translate(-50%, -50%)

@mixin transform-x()
  transform: translateX(-50%)

@mixin transform-y()
  transform: translateY(-50%)

@mixin transform-none()
  transform: none

@mixin transform-delay()
  transition-delay: 0.1s

@mixin transform-delay-long()
  transition-delay: 0.4s

@mixin transform-3d()
  transform: rotateY(0deg)
  &:hover
    transform: rotateY(360deg)

@mixin gray-img()
  filter: grayscale(0%)
  &:hover
    filter: grayscale(1%)

